summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorDaniel Podder <dapodd@microsoft.com>2017-06-01 18:41:50 -0500
committerGitHub <noreply@github.com>2017-06-01 18:41:50 -0500
commit8f5d775cb4de2b3e765251106991940c09c0859e (patch)
tree333d3845d0529faf20bcecf5511d2b90185e5894 /build.sh
parent91329ceefd9efbde1f8486b0a098090e9a10adcb (diff)
downloadcoreclr-8f5d775cb4de2b3e765251106991940c09c0859e.tar.gz
coreclr-8f5d775cb4de2b3e765251106991940c09c0859e.tar.bz2
coreclr-8f5d775cb4de2b3e765251106991940c09c0859e.zip
Fix optdata restore functionality (#11935)
Fix optdata restore functionality (#11935) Bring back optdata restore functionality following the move to 2.0 BuildTools and csproj-based CLI. Disable a harmless warning that broke the Linux build when consuming PGO counts due to -Werr. Fix #11796 for master
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/build.sh b/build.sh
index 8e262b7175..4e3508de69 100755
--- a/build.sh
+++ b/build.sh
@@ -141,6 +141,16 @@ restore_optdata()
echo "Failed to restore the optimization data package."
exit 1
fi
+
+ # Parse the optdata package versions out of msbuild so that we can pass them on to CMake
+ local DotNetCli="$__ProjectRoot/Tools/dotnetcli/dotnet"
+ if [ ! -f $DotNetCli ]; then
+ echo "Assertion failed: dotnet CLI not found at '$DotNetCli'"
+ exit 1
+ fi
+ local OptDataProjectFilePath="$__ProjectRoot/src/.nuget/optdata/optdata.csproj"
+ __PgoOptDataVersion=$($DotNetCli msbuild $OptDataProjectFilePath /t:DumpPgoDataPackageVersion /nologo | sed 's/^\s*//')
+ __IbcOptDataVersion=$($DotNetCli msbuild $OptDataProjectFilePath /t:DumpIbcDataPackageVersion /nologo | sed 's/^\s*//')
fi
}
@@ -897,13 +907,6 @@ if [ $__CrossBuild == 1 ]; then
fi
fi
-# Parse the optdata package version from its project.json file
-optDataProjectJsonPath="$__ProjectRoot/src/.nuget/optdata/project.json"
-if [ -f $optDataProjectJsonPath ]; then
- __PgoOptDataVersion=$("$__ProjectRoot/extract-from-json.py" -rf $optDataProjectJsonPath dependencies optimization.PGO.CoreCLR)
- __IbcOptDataVersion=$("$__ProjectRoot/extract-from-json.py" -rf $optDataProjectJsonPath dependencies optimization.IBC.CoreCLR)
-fi
-
# init the target distro name
initTargetDistroRid